Index: XIOS/trunk/doc/XIOS_reference_guide.lyx
===================================================================
--- XIOS/trunk/doc/XIOS_reference_guide.lyx	(revision 1622)
+++ XIOS/trunk/doc/XIOS_reference_guide.lyx	(revision 1623)
@@ -4678,4 +6459,51 @@
 
 \begin_layout Plain Layout
+0
+\end_layout
+
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Subsection*
+n (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+integer
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: n
+\end_layout
+
+\begin_layout Standard
+Defines the size of a zoomed region on a global axis.
+ The attribute value should be an integer between 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+1
+\end_layout
+
+\end_inset
+
+and 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
 nj_glo
 \end_layout
@@ -4684,4 +6512,130 @@
 
  of the associated axis.
+ If not specified the default value is 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+nj_glo
+\end_layout
+
+\end_inset
+
+ of the associated axis.
+\end_layout
+
+\begin_layout Subsection
+compute_connectivity_domain
+\end_layout
+
+\begin_layout Subsection*
+n_neighbor: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+1D-array of integer
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: n_neighbor(:)
+\end_layout
+
+\begin_layout Subsection*
+local_neighbor: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+2D-array of integer
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: local_neighbor(:,:)
+\end_layout
+
+\begin_layout Subsection*
+n_neighbor_max: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+integer
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: n_neighbor_max
+\end_layout
+
+\begin_layout Subsection
+extract_domain_to_axis
+\end_layout
+
+\begin_layout Subsection*
+position (optional): 
+\emph on
+integer
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: position
+\end_layout
+
+\begin_layout Standard
+Defines the index on a domain starting which an axis will be extracted along
+ the direction specified with the 
+\series bold
+direction
+\series default
+ attribute.
+\end_layout
+
+\begin_layout Subsection*
+direction (mandatory): 
+\emph on
+enumeration {iDir, jDir}
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: direction
+\end_layout
+
+\begin_layout Standard
+Defines the domain dimension along which an axis will be extracted.
 \end_layout
 
@@ -4691,5 +6645,5 @@
 
 \begin_layout Subsection*
-file: 
+file (optional): 
 \emph on
 string
@@ -4705,18 +6659,286 @@
 
 \begin_layout Standard
-Define the file which contains the weight value to interpolate from domain
+Define a file which contains the weight values for interpolation from domain
  source to domain destination.
- This attribute is optional.
  If not specified, the internal interpolation module will be used.
 \end_layout
 
 \begin_layout Subsection*
+order (optional): 
+\emph on
+integer
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: order
+\end_layout
+
+\begin_layout Standard
+Defines the order of interpolation.
+ This attribute is only for internal interpolation module.
+ The default value is 2.
+\end_layout
+
+\begin_layout Subsection
+reduce_domain_to_axis
+\end_layout
+
+\begin_layout Subsection*
+direction: 
+\emph on
+enumeration {iDir, jDir}
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: direction
+\end_layout
+
+\begin_layout Standard
+Defines the domain dimension along which a reduction of the domain into
+ an axis will be performed.
+\end_layout
+
+\begin_layout Subsection*
+operation (mandatory): 
+\emph on
+enumeration {min, max, sum, average}
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: operation
+\end_layout
+
+\begin_layout Subsection*
+local: 
+\emph on
+bool
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+LOGICAL :: local
+\end_layout
+
+\begin_layout Standard
+Defines whether the reduction should be performed locally on data owned
+ by each process.
+\end_layout
+
+\begin_layout Subsection
+reduce_domain_to_scalar
+\end_layout
+
+\begin_layout Standard
+Reduces data defined on a domain into a scalar value.
+\end_layout
+
+\begin_layout Subsection*
+operation (mandatory): 
+\emph on
+enumeration {min, max, sum, average}
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: operation
+\end_layout
+
+\begin_layout Subsection*
+local: 
+\emph on
+bool
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+LOGICAL :: local
+\end_layout
+
+\begin_layout Standard
+Defines whether the reduction should be performed locally on data owned
+ by each process.
+\end_layout
+
+\begin_layout Subsection
+reorder_domain
+\end_layout
+
+\begin_layout Subsection*
+invert_lat (optional): 
+\emph on
+bool
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+LOGICAL :: invert_lat
+\end_layout
+
+\begin_layout Standard
+Defines whether the latitude should be inverted.
+ The default value is false.
+\end_layout
+
+\begin_layout Subsection*
+shift_lon_fraction (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+double
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: shift_lon_fraction
+\end_layout
+
+\begin_layout Standard
+Defines the longitude offset.
+ The value of the parameter represents a fraction of 
+\series bold
+ni_glo
+\series default
+.
+\end_layout
+
+\begin_layout Subsection*
+min_lon (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+double
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: min_lon
+\end_layout
+
+\begin_layout Standard
+If both, 
+\series bold
+min_lon
+\series default
+ and 
+\series bold
+max_lon
+\series default
+, are defined, a domain will be reordered with latitude values starting
+ from 
+\series bold
+min_lon
+\series default
+ and ending at 
+\series bold
+max_lon
+\series default
+.
+\end_layout
+
+\begin_layout Subsection*
+max_lon (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+double
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: max_lon
+\end_layout
+
+\begin_layout Standard
+If both, 
+\series bold
+min_lon
+\series default
+ and 
+\series bold
+max_lon
+\series default
+, are defined, a domain will be reordered with latitude values starting
+ from 
+\series bold
+min_lon
+\series default
+ and ending at 
+\series bold
+max_lon
+\series default
+.
+\end_layout
+
+\begin_layout Subsection
+expand_domain
+\end_layout
+
+\begin_layout Subsection*
 order: 
-\emph on
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
 integer
 \end_layout
 
-\begin_layout Standard
-Fortran: 
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran:
 \end_layout
 
@@ -4725,9 +6947,63 @@
 \end_layout
 
-\begin_layout Standard
-Define a order of interpolation.
- This attribute is only for internal interoplation module.
- This attribute is optional.
- The default value is 2.
+\begin_layout Subsection*
+type (optional): 
+\emph on
+enumeration {node, edge}
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: type
+\end_layout
+
+\begin_layout Standard
+Defines whether the node or edge connectivity should be calculated for the
+ expanded domain.
+\end_layout
+
+\begin_layout Subsection*
+i_periodic (optional): 
+\emph on
+bool
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+LOGICAL :: i_periodic
+\end_layout
+
+\begin_layout Standard
+If the attribute value is true, values of fields defined on the expanded
+ domain will be duplicated from those of the original domain periodically
+ along the first dimension.
+ The default value is false (masked values on the expanded domain).
+\end_layout
+
+\begin_layout Subsection*
+j_periodic (optional): 
+\emph on
+bool
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+LOGICAL :: j_periodic
+\end_layout
+
+\begin_layout Standard
+If the attribute value is true, values of fields defined on the expanded
+ domain will be duplicated from those of the original domain periodically
+ along the second dimension.
+ The default value is false (masked values on the expanded domain).
 \end_layout
 
@@ -4737,5 +7013,5 @@
 
 \begin_layout Subsection*
-ibegin: 
+ibegin (optional): 
 \begin_inset Flex Emph
 status collapsed
@@ -4759,7 +7035,6 @@
 
 \begin_layout Standard
-Define the begining index of the zoomed region on the first dimension of
- the global domain.
- This attribute is optional.
+Defines the beginning index of the zoomed region on the first dimension
+ of the global domain.
  This must be an integer between 
 \begin_inset Flex Strong
@@ -4794,8 +7069,10 @@
 
 .
-\end_layout
-
-\begin_layout Subsection*
-ni: 
+ Note that if one of the zoom attributes (ibegin, ni, jbegin or nj) is defined
+ then all the rest should be specified by a user as well.
+\end_layout
+
+\begin_layout Subsection*
+ni (optional): 
 \begin_inset Flex Emph
 status collapsed
@@ -4820,5 +7097,4 @@
 \begin_layout Standard
 Define the size of zoomed region on the first dimension of the global domain.
- This attribute is optional.
  This must be an integer between 
 \begin_inset Flex Strong
@@ -4853,8 +7129,10 @@
 
  of the dimension of domain.
-\end_layout
-
-\begin_layout Subsection*
-jbegin: 
+ Note that if one of the zoom attributes (ibegin, ni, jbegin or nj) is defined
+ then all the rest should be specified by a user as well.
+\end_layout
+
+\begin_layout Subsection*
+jbegin (optional): 
 \begin_inset Flex Emph
 status collapsed
@@ -4878,7 +7156,6 @@
 
 \begin_layout Standard
-Define the begining index of the zoomed region on the second dimension of
- the global domain.
- This attribute is optional.
+Define the beginning index of the zoomed region on the second dimension
+ of the global domain.
  This must be an integer between 
 \begin_inset Flex Strong
@@ -4913,8 +7190,10 @@
 
 .
-\end_layout
-
-\begin_layout Subsection*
-nj: 
+ Note that if one of the zoom attributes (ibegin, ni, jbegin or nj) is defined
+ then all the rest should be specified by a user as well.
+\end_layout
+
+\begin_layout Subsection*
+nj (optional): 
 \begin_inset Flex Emph
 status collapsed
@@ -4939,6 +7218,5 @@
 \begin_layout Standard
 Define the size of zoomed region on the second dimension of the global domain.
- This attribute is optional.
- This must be an integer between 
+ The attribute value should be an integer between 
 \begin_inset Flex Strong
 status collapsed
@@ -4972,4 +7250,6 @@
 
  of the dimension of domain.
+ Note that if one of the zoom attributes (ibegin, ni, jbegin or nj) is defined
+ then all the rest should be specified by a user as well.
 \end_layout
 
@@ -4978,6 +7258,294 @@
 \end_layout
 
-\begin_layout Standard
-
+\begin_layout Subsection*
+lon_start (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+double
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: lon_start
+\end_layout
+
+\begin_layout Standard
+Along with 
+\series bold
+lon_end
+\series default
+, the attribute defines the longitude range of a generated domain.
+\end_layout
+
+\begin_layout Subsection*
+lon_end (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+double
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: lon_end
+\end_layout
+
+\begin_layout Standard
+Along with 
+\series bold
+lon_start
+\series default
+, the attribute defines the longitude range of a generated domain.
+\end_layout
+
+\begin_layout Subsection*
+lat_start (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+double
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: lat_start
+\end_layout
+
+\begin_layout Standard
+Along with 
+\series bold
+lat_end
+\series default
+, the attribute defines the latitude range of a generated domain.
+\end_layout
+
+\begin_layout Subsection*
+lat_end (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+double
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: lat_end
+\end_layout
+
+\begin_layout Standard
+Along with 
+\series bold
+lat_start
+\series default
+, the attribute defines the latitude range of a generated domain.
+\end_layout
+
+\begin_layout Subsection*
+bounds_lon_start: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+double
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: bounds_lon_start
+\end_layout
+
+\begin_layout Standard
+Attributes 
+\series bold
+bounds_lon_start
+\series default
+ and 
+\series bold
+bounds_lon_start
+\series default
+ set the longitude range of a generated domain.
+ If both sets, 
+\series bold
+(lon_start, lon_end)
+\series default
+ and 
+\series bold
+(bounds_lon_start, bounds_lon_end)
+\series default
+, are specified then the bound attributes will be ignored.
+\end_layout
+
+\begin_layout Subsection*
+bounds_lon_end: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+double
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: bounds_lon_end
+\end_layout
+
+\begin_layout Standard
+Attributes 
+\series bold
+bounds_lon_start
+\series default
+ and 
+\series bold
+bounds_lon_start
+\series default
+ set the longitude range of a generated domain.
+ If both sets, 
+\series bold
+(lon_start, lon_end)
+\series default
+ and 
+\series bold
+(bounds_lon_start, bounds_lon_end)
+\series default
+, are specified then the bound attributes will be ignored.
+\end_layout
+
+\begin_layout Subsection*
+bounds_lat_start: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+double
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: bounds_lat_start
+\end_layout
+
+\begin_layout Standard
+Attributes 
+\series bold
+bounds_lat_start
+\series default
+ and 
+\series bold
+bounds_lat_start
+\series default
+ set the latitude range of a generated domain.
+ If both sets, 
+\series bold
+(lat_start, lat_end)
+\series default
+ and 
+\series bold
+(bounds_lat_start, bounds_lat_end)
+\series default
+, are specified then the bound attributes will be ignored.
+\end_layout
+
+\begin_layout Subsection*
+bounds_lat_end: 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+double
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: bounds_lat_end
+\end_layout
+
+\begin_layout Standard
+Attributes 
+\series bold
+bounds_lat_start
+\series default
+ and 
+\series bold
+bounds_lat_start
+\series default
+ set the latitude range of a generated domain.
+ If both sets, 
+\series bold
+(lat_start, lat_end)
+\series default
+ and 
+\series bold
+(bounds_lat_start, bounds_lat_end)
+\series default
+, are specified then the bound attributes will be ignored.
 \end_layout
 
@@ -5521,9 +8089,9 @@
 
 \begin_layout Standard
-This set of subroutines enable the models to interact, complete or query
+This set of subroutines enables the models to interact, complete or query
  the XML tree data base.
  New elements or group of elements can be added as child in the tree, attributes
  of the elements can be set or query.
- The type of element actually available are: context, axis, domain, grid,
+ The type of elements currently available are: context, axis, domain, grid,
  field, variable and file.
  An element can be identified by a string or by an handle associated to
@@ -5702,5 +8270,5 @@
 
 \begin_layout Standard
-where element is one of the existing element or group of element.
+where element is one of the existing elements or group of elements.
 \end_layout
 
@@ -5740,7 +8308,7 @@
 
 \begin_layout Standard
-This subroutine return the handle of the specified element identified by
+This subroutine returns the handle of the specified element identified by
  its string.
- The element must be existing otherwise it raise an error.
+ The element must be existing otherwise an error is raised.
 \end_layout
 
@@ -5762,5 +8330,5 @@
 
 \begin_layout Standard
-where element is one of the existing element or group of element.
+where element is one of the existing elements or group of elements.
 \end_layout
 
@@ -5787,7 +8355,14 @@
 
 \begin_layout Standard
-This function return .TRUE.
- if the element defined by the string identifier id is existing in the data
- base, otherwise it return .FALSE.
+This function returns .TRUE.
+ if the element defined by the string identifier 
+\begin_inset Quotes eld
+\end_inset
+
+id
+\begin_inset Quotes erd
+\end_inset
+
+ exists in the data base, otherwise it returns .FALSE.
  .
 \end_layout
@@ -5818,5 +8393,5 @@
 
 \begin_layout Standard
-where element is one of the existing element or group of element.
+where element is one of the existing elements or element groups.
 \end_layout
 
@@ -5869,16 +8444,16 @@
 
 \begin_layout Standard
-This subroutine add a child to an existing parent element.
+This subroutine adds a child to an existing parent element.
  The identifier of the child, if existing, can be specified optionally.
- All group elements can contains child of the same kind, provided generic
+ All group elements can contain child of the same type, provided generic
  inheritance.
- Some elements can contains children of an other kind for a specific behaviour.
- File element may contains field_group, field, variable and variable_group
+ Some elements can contain children of another type for a specific behavior.
+ File element may contain field_group, field, variable and variable_group
  child elements.
- Field elements may contains variable_group of variable child element.
-\end_layout
-
-\begin_layout Subsection*
-Query if a value of an element attributes is defined (by handle)
+ Field elements may contain variable_group of variable child element.
+\end_layout
+
+\begin_layout Subsection*
+Query if the value of an element attribute is defined (by handle)
 \end_layout
 
@@ -5909,5 +8484,5 @@
 
 \begin_layout Standard
-where element is one of the existing element or group of element.
+where element is one of the existing elements or element groups.
  attribute_x is describing in the chapter dedicated to the attribute description.
 \end_layout
@@ -5948,5 +8523,5 @@
 
 \begin_layout Standard
-This subroutine my be used to query if one or more attributes of an element
+This subroutine can be used to query if one or more attributes of an element
  have a defined value.
  The list of attributes and their type are described in a specific chapter
@@ -5985,5 +8560,5 @@
 
 \begin_layout Standard
-where element is one of the existing element or group of element.
+where element is one of the existing elements or element groups.
  attribute_x is describing in the chapter dedicated to the attribute description.
 \end_layout
@@ -6024,5 +8599,5 @@
 
 \begin_layout Standard
-This subroutine my be used to query if one or more attributes of an element
+This subroutine can be used to query if one or more attributes of an element
  have a defined value.
  The list of available attributes and their type are described in a specific
@@ -6061,5 +8636,5 @@
 
 \begin_layout Standard
-where element is one of the existing element or group of element.
+where element is one of the existing elements or element groups.
  attribute_x and attribute_type_x are describing in the chapter dedicated
  to the attribute description.
@@ -6101,8 +8676,8 @@
 
 \begin_layout Standard
-This subroutine my be used to set one or more attribute to an element defined
- by its handle.
- The list of available attributes and their type are described in a specific
- chapter of the documentation.
+This subroutine can be used to set one or more attributes of an element
+ defined by its handle.
+ The list of available attributes and their types are described in corresponding
+ chapters of the documentation.
  
 \end_layout
@@ -6138,5 +8713,81 @@
 
 \begin_layout Standard
-where element is one of the existing element or group of element.
+where element is one of the existing elements or element groups.
+ The attributes attribute_x and attribute_type_x are described in corresponding
+ chapters.
+\end_layout
+
+\begin_layout Subsubsection*
+Arguments:
+\end_layout
+
+\begin_layout Itemize
+\begin_inset Flex Code
+status collapsed
+
+\begin_layout Plain Layout
+id
+\end_layout
+
+\end_inset
+
+: string identifier.
+\end_layout
+
+\begin_layout Itemize
+\begin_inset Flex Code
+status collapsed
+
+\begin_layout Plain Layout
+attr_x
+\end_layout
+
+\end_inset
+
+: value of the attribute to be set.
+\end_layout
+
+\begin_layout Subsubsection*
+Description:
+\end_layout
+
+\begin_layout Standard
+This subroutine can be used to set one or more attributes of an element
+ defined by its string id.
+ The list of available attributes and their type are described in corresponding
+ chapters of the documentation.
+\end_layout
+
+\begin_layout Subsection*
+Getting element attributes value (by handle)
+\end_layout
+
+\begin_layout Subsubsection*
+Synopsis:
+\end_layout
+
+\begin_layout LyX-Code
+SUBROUTINE xios_get_attr(handle, attr_1=attribute_1, attr_2=attribute_2,
+ ...)
+\end_layout
+
+\begin_layout LyX-Code
+TYPE(xios_element)         , INTENT(IN) :: handle
+\end_layout
+
+\begin_layout LyX-Code
+attribute_type_1, OPTIONAL  , INTENT(OUT) :: attr_1
+\end_layout
+
+\begin_layout LyX-Code
+attribute_type_2, OPTIONAL  , INTENT(OUT) :: attr_2
+\end_layout
+
+\begin_layout LyX-Code
+....
+\end_layout
+
+\begin_layout Standard
+where element is one of the existing elements or element groups.
  attribute_x and attribute_type_x are describing in the chapter dedicated
  to the attribute description.
@@ -6152,10 +8803,10 @@
 
 \begin_layout Plain Layout
-id
-\end_layout
-
-\end_inset
-
-: string identifier.
+handle
+\end_layout
+
+\end_inset
+
+: element handle.
 \end_layout
 
@@ -6170,5 +8821,5 @@
 \end_inset
 
-: value of the attribute to be set.
+: value of the attribute to be get.
 \end_layout
 
@@ -6178,81 +8829,5 @@
 
 \begin_layout Standard
-This subroutine my be used to set one or more attribute to an element defined
- by its string id.
- The list of available attributes and their type are described in a specific
- chapter of the documentation.
-\end_layout
-
-\begin_layout Subsection*
-Getting element attributes value (by handle)
-\end_layout
-
-\begin_layout Subsubsection*
-Synopsis:
-\end_layout
-
-\begin_layout LyX-Code
-SUBROUTINE xios_get_attr(handle, attr_1=attribute_1, attr_2=attribute_2,
- ...)
-\end_layout
-
-\begin_layout LyX-Code
-TYPE(xios_element)         , INTENT(IN) :: handle
-\end_layout
-
-\begin_layout LyX-Code
-attribute_type_1, OPTIONAL  , INTENT(OUT) :: attr_1
-\end_layout
-
-\begin_layout LyX-Code
-attribute_type_2, OPTIONAL  , INTENT(OUT) :: attr_2
-\end_layout
-
-\begin_layout LyX-Code
-....
-\end_layout
-
-\begin_layout Standard
-where element is one of the existing element or group of element.
- attribute_x and attribute_type_x are describing in the chapter dedicated
- to the attribute description.
-\end_layout
-
-\begin_layout Subsubsection*
-Arguments:
-\end_layout
-
-\begin_layout Itemize
-\begin_inset Flex Code
-status collapsed
-
-\begin_layout Plain Layout
-handle
-\end_layout
-
-\end_inset
-
-: element handle.
-\end_layout
-
-\begin_layout Itemize
-\begin_inset Flex Code
-status collapsed
-
-\begin_layout Plain Layout
-attr_x
-\end_layout
-
-\end_inset
-
-: value of the attribute to be get.
-\end_layout
-
-\begin_layout Subsubsection*
-Description:
-\end_layout
-
-\begin_layout Standard
-This subroutine my be used to get one or more attribute value of an element
+This subroutine can be used to get one or more attribute value of an element
  defined by its handle.
  All attributes in the arguments list must be defined.
@@ -6292,5 +8867,5 @@
 
 \begin_layout Standard
-where element is one of the existing element or group of element.
+where element is one of the existing elements or element groups.
  attribute_x is describing in the chapter dedicated to the attribute description.
 \end_layout
@@ -6331,5 +8906,5 @@
 
 \begin_layout Standard
-This subroutine my be used to get one or more attribute value of an element
+This subroutine can be used to get one or more attribute value of an element
  defined by its handle.
  All attributes in the arguments list must have a defined value.
@@ -6339,5 +8914,5 @@
 
 \begin_layout Section*
-Interface relative to context management
+Context management interface
 \end_layout
 
@@ -6397,5 +8972,5 @@
 
 \begin_layout Standard
-This subroutine initialize a context identified by 
+This subroutine initializes a context identified by 
 \begin_inset Flex Code
 status collapsed
@@ -6459,5 +9034,5 @@
 
 \begin_layout Standard
-This subroutine must be call to close a context, before the 
+This subroutine must be called to close a context before the 
 \begin_inset Flex Code
 status collapsed
@@ -6470,6 +9045,6 @@
 
  call.
- It waits until that all pending request sent to the servers will be processed
- and the opened files will be closed.
+ It waits until that all pending requests sent to the servers will be processed
+ and all opened files will be closed.
 \end_layout
 
@@ -6542,6 +9117,7 @@
 \begin_layout Standard
 These subroutines set the current active context.
- All xios calls after will refer to this active context.
- If only one context is defined, it is automatically set as the active context.
+ All following XIOS calls will refer to this active context.
+ If only one context is defined, it will be set automatically as the active
+ context.
  
 \end_layout
@@ -6572,5 +9148,5 @@
 
 \begin_layout Standard
-This subroutine must be call when all definitions of a context is finished
+This subroutine must be called when all definitions of a context are finished
  at the end of the initialization and before entering to the time loop.
  A lot of operations are performed internally (inheritance, grid definition,
@@ -6581,5 +9157,5 @@
 
 \begin_layout Section*
-Interface relative to calendar management
+Calendar management interface
 \end_layout
 
@@ -7418,5 +9994,5 @@
 
 \begin_layout Section*
-Interface relative to duration handling
+Duration handling interface
 \end_layout
 
@@ -7988,5 +10564,5 @@
 This function returns the number of seconds since the beginning of the day
  for the specified date, based on the calendar of the current context.
- It must not be used before the calendar was created.
+ It should not be used before the calendar was created.
 \end_layout
 
@@ -8030,6 +10606,6 @@
 \begin_layout Standard
 This function returns the fraction of day corresponding to the specified
- date, based on the calendar of the current context.
- It must not be used before the calendar was created.
+ date based on the calendar of the current context.
+ It should not be used before the calendar was created.
 \end_layout
 
